if SERVER then
   AddCSLuaFile ("shared.lua")

	SWEP.Weight = 3
 
	SWEP.AutoSwitchTo = false
	SWEP.AutoSwitchFrom = false
end
if CLIENT then
    SWEP.PrintName = "Skittles Swep"

	SWEP.Slot = 4
	SWEP.SlotPos = 1
 
	SWEP.DrawAmmo = true
 
	SWEP.DrawCrosshair = true
	language.Add("Undone_Skittles_Swep","Undone Skittles Swep")
end

SWEP.DrawCrosshair = true
SWEP.Weight = 5
SWEP.ViewModel = "models/weapons/v_pistol.mdl"
SWEP.WorldModel = "models/weapons/w_pistol.mdl"
SWEP.HoldType = "Pistol"
SWEP.ViewModelFOV = 64
SWEP.Slot = 4
SWEP.Purpose = "Just for fun"
SWEP.AutoSwitchTo = true
SWEP.Contact = "scarention@gmail.com"
SWEP.Author = "Scarention"
SWEP.FiresUnderwater = true
SWEP.Spawnable = true
SWEP.AdminSpawnable = true
SWEP.ReloadSound = "Weapon_Pistol.Reload"
SWEP.SlotPos = 4
SWEP.Instructions = "Right click for chair, left click for skittle pack"
SWEP.AutoSwitchFrom = false
SWEP.base = "weapon_base"
SWEP.Category = "Scarention's Sweps"
SWEP.DrawAmmo = true
SWEP.PrintName = "Original Skittles Gun"

SWEP.Primary.Model = "models/skittles/skittles.mdl"
SWEP.Primary.Sound = "Weapon_Shotgun.Single"

SWEP.Secondary.Model = "models/props_c17/FurnitureChair001a.mdl"
SWEP.Secondary.Sound = "Weapon_PhysCannon.Launch"

SWEP.Primary.ClipSize = -1
SWEP.Primary.DefaultClip = -1
SWEP.Primary.Automatic = false
SWEP.Primary.Ammo = "none"

SWEP.Secondary.ClipSize = -1
SWEP.Secondary.DefaultClip = -1
SWEP.Secondary.Automatic = false
SWEP.Secondary.Ammo = "none"

function SWEP:Initialize()
	util.PrecacheSound(self.Primary.Sound)
	util.PrecacheSound(self.Secondary.Sound)
	if ( SERVER ) then
		self:SetWeaponHoldType( self.HoldType )
	end
end

function SWEP:PrimaryAttack()
	self:ThrowAttack ( self.Primary.Model, self.Primary.Sound )
	self.Weapon:SetNextPrimaryFire( CurTime() + 0.1 )
end

function SWEP:SecondaryAttack()
	self:ThrowAttack ( self.Secondary.Model, self.Secondary.Sound )
	self.Weapon:SetNextSecondaryFire( CurTime() + 0.15 )
end

function SWEP:ThrowAttack(model_file,sound)
self:EmitSound( sound )
if ( CLIENT ) then return end
local ent = ents.Create( "prop_physics" )
if (  !IsValid( ent ) ) then return end

ent:SetModel(model_file)

ent:SetPos( self.Owner:EyePos() + ( self.Owner:GetAimVector() * 10 ) )
	ent:SetAngles( self.Owner:EyeAngles() )
	ent:Spawn()
	
	self.BaseClass.ShootEffects (self)
	
local phys = ent:GetPhysicsObject()
if (  !IsValid( phys ) ) then ent:Remove() return end


local velocity = self.Owner:GetAimVector()
	velocity = velocity * 5000000
	velocity = velocity + ( VectorRand() * 50 )
	phys:ApplyForceCenter( velocity )

	cleanup.Add( self.Owner, "props", ent )
 
	undo.Create( "Skittles" )
		undo.AddEntity( ent )
		undo.SetPlayer( self.Owner )
	undo.Finish()
end
