AddCSLuaFile("cl_init.lua")
AddCSLuaFile("shared.lua")
include('shared.lua')
SWEP.Weight = 5
SWEP.AutoSwitchTo = false
SWEP.AutoSwitchFrom = false
local FireSound = Sound("weapons/skittlesgunfire.wav")

function SWEP:Initialize()
	if ( SERVER ) then
		self:SetWeaponHoldType( "Pistol" )
	end
end

function SWEP:PrimaryAttack()
	self:ThrowSkittles ()
	self.Weapon:SetNextPrimaryFire( CurTime() + 0.1 )
end

function SWEP:SecondaryAttack()
	local bucket, att, phys, tr
	self.Weapon:SetNextSecondaryFire(CurTime())    
    if CLIENT then
		return
    end   
    self.Owner:EmitSound( FireSound )
	self.BaseClass.ShootEffects (self)	
    bucket = ents.Create( "sent_skittlespack_thrown" )
    bucket:SetOwner( self.Owner )
    bucket:SetPos( self.Owner:GetShootPos( ) )
    bucket:Spawn() 
    bucket:Activate()	
    phys = bucket:GetPhysicsObject( )     
    if IsValid( phys ) then
		phys:SetVelocity( self.Owner:GetPhysicsObject():GetVelocity() )
		phys:AddVelocity( self.Owner:GetAimVector( ) * 48 * phys:GetMass( ) )
		phys:AddAngleVelocity( VectorRand() * 48 * phys:GetMass( ) )
    end
end

function SWEP:ThrowSkittles()
	self:EmitSound( FireSound )
	if ( CLIENT ) then return end
	local ent = ents.Create( "prop_physics" )
	if (  !IsValid( ent ) ) then return end
	local randommodels = { "models/skittles/skittles.mdl", "models/skittles/packs/berryexplosion.mdl", "models/skittles/packs/darkside.mdl", "models/skittles/packs/espanol.mdl", "models/skittles/packs/oghq.mdl", "models/skittles/packs/orchards.mdl", "models/skittles/packs/riddles.mdl", "models/skittles/packs/sour.mdl", "models/skittles/packs/tropical.mdl", "models/skittles/packs/wildberry.mdl" }
	ent:SetModel(table.Random(randommodels))
	ent:SetPos( self.Owner:EyePos() + ( self.Owner:GetAimVector() * 10 ) )
	ent:SetAngles( self.Owner:EyeAngles() )
	ent:Spawn()
	self.BaseClass.ShootEffects (self)	
	local phys = ent:GetPhysicsObject()
	if (  !IsValid( phys ) ) then ent:Remove() return end
	local velocity = self.Owner:GetAimVector()
	velocity = velocity * 5000000
	velocity = velocity + ( VectorRand() * 50 )
	phys:ApplyForceCenter( velocity )
	cleanup.Add( self.Owner, "props", ent )
	undo.Create( "Skittles" )
	undo.AddEntity( ent )
	undo.SetPlayer( self.Owner )
	undo.Finish()
end