include("shared.lua")
local emitter = ParticleEmitter(Vector(0,0,0))

local randomskittle = { "particle/blueskittle", "particle/greenskittle", "particle/orangeskittle", "particle/purpleskittle", "particle/redskittle", "particle/yellowskittle" }
function ENT:Initialize()
	emitter:SetPos(LocalPlayer():GetPos())
	net.Receive("Skittles_Explosion",function () 
		if !self or !emitter then return end
		local pos = net.ReadVector()
		local norm = net.ReadVector()
		local bucketvel = net.ReadVector()
		local entid = net.ReadFloat()
		timer.Destroy("kernel_timer"..entid)
		for i = 1,150 do
			local particle = emitter:Add( table.Random(randomskittle), pos )
			if particle then
				local dir = VectorRand():GetNormalized()
				kernel_init(particle, ((-norm)+dir):GetNormalized() * math.Rand(0,200) + bucketvel*0.5 )
			end
		end
	end)
end

local function kernel_init(particle, vel)
	particle:SetColor(255,255,255,255)
	particle:SetVelocity( vel or VectorRand():GetNormalized() * 15)
	particle:SetGravity( Vector(0,0,-200) )
	particle:SetLifeTime(0)
	particle:SetDieTime(math.Rand(5,10))
	particle:SetStartSize(2)
	particle:SetEndSize(0)
	particle:SetStartAlpha(255)
	particle:SetEndAlpha(0)
	particle:SetCollide(true)
	particle:SetBounce(0.25)
	particle:SetRoll(math.pi*math.Rand(0,1))
	particle:SetRollDelta(math.pi*math.Rand(-10,10))
end